Create business

Creates a business entity. New businesses begin in a pending state until onboarding is complete and approved. Product operations require an open account.

Body·
required
application/json
  • legal_name
    Type: string
    min length:  
    1
    max length:  
    255
    required

    The legal name of the business.

  • doing_business_as
    Type: string
    min length:  
    1
    max length:  
    100

    Trade name, if different from the legal name.

  • user_data
    Type: object | null

    Arbitrary JSON metadata associated with the business.

Responses
  • application/json
Request Example for post/businesses
curl https://api.treasurefinancial.com/v1/businesses \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "legal_name": "Treasure Financial",
  "doing_business_as": "Treasure",
  "user_data": null
}'
{
  "id": "string",
  "created_at": "2022-01-01T00:00:00.000Z",
  "updated_at": "2022-01-01T00:00:00.000Z",
  "legal_name": "Treasure Financial",
  "doing_business_as": "Treasure",
  "status": "PENDING",
  "sub_status": "string",
  "user_data": {
    "additionalProperty": "anything"
  }
}